/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/



.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}


.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-content {
    background-color: #ebe3d3;
    padding: 50px 100px 50px 100px;
    width: 740px;
    border-radius: 20px;
}

h2.pop-hd {
    color: var(--e-global-color-bbe591b);
    font-family: "Taviraj", Sans-serif;
    font-size: 48px;
    font-weight: 600;
}

p.pop-sub-hd {
    text-align: center;
    color: var(--e-global-color-primary);
    font-family: "Taviraj", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 24px;
}

.pop-up-data {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 50px;
}

input[type="submit"] {
    padding: 10px 30px;
    color: #b9b9b9;
    background-color: #707070;
    border-color: #2E2E2E;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4285;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    white-space: normal;
    border: 1px solid transparent;
    border-radius: 30px;
    outline-color: #fff;
    text-transform: uppercase;
}

div#myModal {
    z-index: 9 !important;
}

.modal-content {
    z-index: 99;
}

.input-field {
    display: flex;
    gap: 20px;
}

.input-field input {
    width: 100%;
    border: 1px solid #9F8459;
    height: auto;
    margin: 5px 0 0 0;
    border-radius: 50px;
    text-align: center;
    background: #ffffff45;
}

p.pop-sub-hd.bol.bold-sub-heading {
    text-align: center;
    color: var(--e-global-color-primary);
    font-family: "Taviraj", Sans-serif;
    font-size: 18px;
    font-weight: 900;
    line-height: 24px;
}

.submit-btn {}

input[type="submit"] {
    display: block;
    margin: auto;
    margin-top: 17px;
}

.modal-content {
    background-image: url("https://oldstcroix.com/wp-content/uploads/2021/10/newsletterbg.png");
    background-color: #cccccc;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

div#myModal .close {
    color: #000;
    position: absolute;
    top: 1%;
    right: 3%;
}

.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 27px;
}

.slider.round {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #707070;
    transition: .4s;
    border-radius: 27px;
}

input:checked+.slider {
    background-color: #23A6AF;
}

input:checked+.slider:before {
    transform: translateX(18px);
}

.slider.round:before {
    border-radius: 50%;
}

.slider:before {
    position: absolute;
    content: "";
    height: 21px;
    width: 21px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.modal-content {
    background-color: #ebe3d3;
    padding: 50px 100px 50px 100px;
    width: 740px;
    border-radius: 20px;
}

h2.pop-hd {
    color: var(--e-global-color-bbe591b);
    font-family: "Taviraj", Sans-serif;
    font-size: 48px;
    font-weight: 600;
}

p.pop-sub-hd {
    text-align: center;
    color: var(--e-global-color-primary);
    font-family: "Taviraj", Sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 24px;
}

.pop-up-data {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 50px;
}

input[type="submit"] {
    padding: 10px 30px;
    color: #b9b9b9;
    background-color: #707070;
    border-color: #2E2E2E;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4285;
    text-align: center;
    vertical-align: middle;
    user-select: none;
    white-space: normal;
    border: 1px solid transparent;
    border-radius: 30px;
    outline-color: #fff;
    text-transform: uppercase;
}

div#myModal {
    z-index: 9 !important;
}

.modal-content {
    z-index: 99;
}

.input-field {
    display: flex;
    gap: 20px;
}

.input-field input {
    width: 100%;
    border: 1px solid #9F8459;
    height: auto;
    margin: 5px 0 0 0;
    border-radius: 50px;
    text-align: center;
    background: #ffffff45;
}

p.pop-sub-hd.bol.bold-sub-heading {
    text-align: center;
    color: var(--e-global-color-primary);
    font-family: "Taviraj", Sans-serif;
    font-size: 18px;
    font-weight: 900;
    line-height: 24px;
}

input[type="submit"] {
    display: block;
    margin: auto;
    margin-top: 17px;
}

.modal-content {
    background-image: url("https://oldstcroix.com/wp-content/uploads/2021/10/newsletterbg.png");
    background-color: #cccccc;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

div#myModal .close {
    color: #000;
    position: absolute;
    top: 1%;
    right: 3%;
}

.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 27px;
}

.slider.round {
    position: absolute;
    cursor: pointer;
    top: 2px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #707070;
    transition: .4s;
    border-radius: 27px;
}

input:checked+.slider {
    background-color: #23A6AF;
    display: inline;
    width: 47px;
}

input:checked+.slider:before {
    transform: translateX(18px);
}

.slider.round:before {
    border-radius: 50%;
}

.slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

label.switch {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: start;
    padding-left: 20px;
}

span.slider.round {
    display: inline;
    width: 40px;
    height: 24px;
}

input[type="checkbox"] {
    margin-right: 20px;
}

input[type="submit"]:hover {
    background: #4c4a4a;
}




.xo-reserve-div {
    border-radius: 50px 0px 0px 50px;
    max-width: 1000px;
    min-height: 567px;
    margin: auto;
    display: flex;
    flex-direction: row;
    position: relative;
}   
.xo-reserve-left{
    width: 40%;
    background-image: url(left-bg-img.jpg);
    border-radius: 50px 0px 0px 50px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
} 
.xo-reserve-right{
    width: 60%;
    padding: 20px 30px 10px 40px;
    background-image: url(https://oldstcroix.com/wp-content/uploads/2021/10/cocktail_card_bg.png);
    background-position: center right;
    background-repeat: no-repeat;
    background-size: cover;
}
.xo-reserve-right h2{
    font-family: "Reenie Beanie", Sans-serif;
    font-size: 36px;
    font-weight: 500;
    line-height: 25px;
}
.xo-reserve-right p{
    margin: 10px 0px 0px 0px;
    padding: 0px 40px 0px 0px;
}
.icon-and-img .right-icon img {
    width: 150px;
}
.icon-and-img .right-icon h3{
    font-family: "Nunito Sans", Sans-serif;
    font-size: 12px;
    font-weight: 500;
    line-height: 17px;
    letter-spacing: 0.2px;
    margin: 0;
}
.icon-and-img .right-icon h4{
    margin: 0;
}
.icon-and-img .right-icon h4 a{
    font-family: "Taviraj", Sans-serif;
    font-size: 14px;
    font-weight: 600;
    line-height: 17px;
    letter-spacing: 1px;
    color: #000;
    text-decoration: none;
}
.icon-and-img .right-icon {
    display: flex;
    flex-direction: row;
    width: 60%;
    justify-content: end;
}

.icon-and-img {
    display: flex;
    flex-direction: row;
}

.icon-and-img .left-icon {
    width: 40%;
}
.icon-and-img .left-icon i {
border: 1px solid #000;
border-radius: 50%;
padding: 9px;
margin-right: 10px;
}
.icon-and-img .left-icon {
    width: 40%;
    align-items: end;
    display: flex;
    padding-bottom: 10px;
}
.icon-and-img .right-icon .right-icon-content {
    display: flex;
    flex-direction: column;
    text-align: end;
    justify-content: end;
    margin-bottom: 10px;
}
.xo-reserve-right .icon-div ul {
    list-style: none;
    display: flex;
    padding: 0;
    color: #21B3BB;
    font-weight: bold;
    }
.xo-reserve-right .icon-div ul li {
    margin-right: 10px;
}
.xo-reserve-right .icon-div ul li i {
    margin-right: 15px;
}
.xo-reserve-div button {
    background: transparent;
    border: none;
}
.xo-reserve-div  .left-btn {
    position: absolute;
    top: 45%;
    left: -55px;
}
.xo-reserve-div  .right-btn {
        position: absolute;
        top: 45%;
        right: -30px;
}
.elementor-widget-icon-list .elementor-icon-list-text, .elementor-widget-icon-list .elementor-icon-list-icon i{
    color: #9F8458;
}

#masthead [data-elementor-type="wp-post"] > section:nth-child(6) section > .elementor-container > div:nth-child(3) > .elementor-widget-wrap {
    z-index: 0;
}